<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('salary_and_wages', function (Blueprint $table) {
            $table->boolean("always_present")->default(true)->after("shields");
            $table->boolean("flexible")->default(false)->after("always_present");
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('salary_and_wages', function (Blueprint $table) {
            $table->dropColumn("always_present");
            $table->dropColumn("flexible");
        });
    }
};
